Package org.linphone.core

# Enum Class Address.Family

java.lang.Object
java.lang.Enum<Address.Family>
org.linphone.core.Address.Family

All Implemented Interfaces:
  `Serializable`, `Comparable<Address.Family>`, `Constable`

Enclosing interface:
  `Address`

public static enum Address.Family extends Enum<Address.Family>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Inet`
IpV4.
`Inet6`
IpV6.
`Unspec`
Unknown.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Address.Family`
`fromInt(int value)`
`int`
`toInt()`
`static Address.Family`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Address.Family[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Inet

public static final Address.Family Inet
IpV4.

### Inet6

public static final Address.Family Inet6
IpV6.

### Unspec

public static final Address.Family Unspec
Unknown.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Address.Family[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Address.Family valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Address.Family fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()